summaryrefslogtreecommitdiffstats
path: root/games/supertux
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 14:28:23 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:28:23 +0200
commiteec9fed8807ee654a4c55045d3f22ae67e739386 (patch)
tree58e1e93d543f7084c9a2f6e3bdf3fbb54a85828d /games/supertux
parent466a9639a19f8a004eba32c175f03b9d5b488313 (diff)
downloadslackbuilds-eec9fed8807ee654a4c55045d3f22ae67e739386.tar.gz
slackbuilds-eec9fed8807ee654a4c55045d3f22ae67e739386.tar.xz
games/supertux: Initial import
Diffstat (limited to 'games/supertux')
-rw-r--r--games/supertux/README5
-rw-r--r--games/supertux/doinst.sh5
-rw-r--r--games/supertux/slack-desc7
-rw-r--r--games/supertux/supertux.SlackBuild83
-rw-r--r--games/supertux/supertux.info8
5 files changed, 108 insertions, 0 deletions
diff --git a/games/supertux/README b/games/supertux/README
new file mode 100644
index 0000000000..ca35bccc4c
--- /dev/null
+++ b/games/supertux/README
@@ -0,0 +1,5 @@
+SuperTux is a classic 2D jump'n run sidescroller game in a style
+similar to the original SuperMario games.
+
+If you get slow performance, disable the use of OpenGL in the
+"Options" menu after SuperTux is started.
diff --git a/games/supertux/doinst.sh b/games/supertux/doinst.sh
new file mode 100644
index 0000000000..3412314ed0
--- /dev/null
+++ b/games/supertux/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/supertux/slack-desc b/games/supertux/slack-desc
new file mode 100644
index 0000000000..b8726e92c7
--- /dev/null
+++ b/games/supertux/slack-desc
@@ -0,0 +1,7 @@
+supertux: SuperTux Game
+supertux:
+supertux: SuperTux is a classic 2D jump'n run sidescroller game in a style
+supertux: similar to the original SuperMario games.
+supertux:
+supertux: Homepage: http://supertux.berlios.de/
+supertux:
diff --git a/games/supertux/supertux.SlackBuild b/games/supertux/supertux.SlackBuild
new file mode 100644
index 0000000000..7c04c8c41d
--- /dev/null
+++ b/games/supertux/supertux.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for supertux
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=supertux
+VERSION=0.1.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go-w+r .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-x \
+ --program-prefix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL LEVELDESIGN \
+ NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Fix path to icon in .desktop file
+sed -i s%'Icon=supertux.png'%'Icon=/usr/share/pixmaps/supertux.png'%g \
+ $PKG/usr/share/applications/supertux.desktop || exit 1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/supertux/supertux.info b/games/supertux/supertux.info
new file mode 100644
index 0000000000..31df046eac
--- /dev/null
+++ b/games/supertux/supertux.info
@@ -0,0 +1,8 @@
+PRGNAM="supertux"
+VERSION="0.1.3"
+HOMEPAGE="http://supertux.berlios.de/"
+DOWNLOAD="http://download.berlios.de/supertux/supertux-0.1.3.tar.bz2"
+MD5SUM="f2fc288459f33d5cd8f645fbca737a63"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="robw810,elohim"